Package com.io7m.smfj.format.binary2.internal

## Class SMFB2ParsingFileHeader

- java.lang.Object
- - com.io7m.smfj.format.binary2.internal.SMFB2ParsingFileHeader

- All Implemented Interfaces:
    `SMFB2StructureParserType<java.util.Optional<SMFFormatVersion>>`

      public final class SMFB2ParsingFileHeader
      extends java.lang.Object
      implements SMFB2StructureParserType<java.util.Optional<SMFFormatVersion>>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SMFB2ParsingFileHeader()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static long` | `magic()` |
    `java.util.Optional<SMFFormatVersion>` | `parse​(SMFB2ParsingContextType context)` |
    `static SMFPartialLogged<SMFFormatVersion>` | `parseDirectly​(com.io7m.jbssio.api.BSSReaderType reader)` | Parse a file header from the given reader.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SMFB2ParsingFileHeader

          public SMFB2ParsingFileHeader()

  - ### Method Detail

    - #### magic

          public static long magic()

      Returns:
        The magic number used to identify SMF files.

    - #### parseDirectly

          public static SMFPartialLogged<SMFFormatVersion> parseDirectly​(com.io7m.jbssio.api.BSSReaderType reader)

      Parse a file header from the given reader.
      Parameters:
        `reader` - The reader
      Returns:
        The result of parsing

    - #### parse

          public java.util.Optional<SMFFormatVersion> parse​(SMFB2ParsingContextType context)
                                                     throws java.io.IOException

      Specified by:
        `parse` in interface `SMFB2StructureParserType<java.util.Optional<SMFFormatVersion>>`
      Throws:
        `java.io.IOException`